Jump to content

Project zomboid crash


gamajoao

Recommended Posts

Those specifications do not fulfill the minimum requirements for the latest version. I can only recommend switching to the older "Legacy" game versions by going to your Steam Library > Right click Project Zomboid > Properties > Betas > Select the Legacy 40 or older versions.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...